Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.tasklist
Interface ITaskListFilter

All Superinterfaces:
  IFilter

public interface ITaskListFilter
extends IFilter

Filters used for querying task lists. By default a task list filter will be set to give the largest possible result set. The various setter methods can be used to narrow the kinds of results to return.

Method Summary
`TaskListCompletionFilterType` | `getCompletionType()` Returns the completion filter type
`TaskListQueryOrder[]` | `getQueryOrders()` Returns the `TaskListQueryOrder` that the results will be returned in.
`void` | `setCompletionType(TaskListCompletionFilterType filterType)` Sets the completion filter type which indicates the completion filter type of the task list's containing tasks.
`void` | `setQueryOrders(TaskListQueryOrder[] queryOrders)` Sets the `TaskListQueryOrder` for the rows to return.

Methods inherited from interface com.plumtree.remote.prc.collaboration.query.IFilter
`getMaximumResults, isRestoreSecurity, setMaximumResults, setRestoreSecurity`

Method Detail

### getCompletionType

    public TaskListCompletionFilterType getCompletionType()

  Returns the completion filter type

  Returns:
    the task list filter type

### getQueryOrders

    public TaskListQueryOrder[] getQueryOrders()

  Returns the `TaskListQueryOrder` that the results will be returned in.

  Returns:
    queryField an array of `TaskListQueryOrder`

### setCompletionType

    public void setCompletionType(TaskListCompletionFilterType filterType)

  Sets the completion filter type which indicates the completion filter type of the task list's containing tasks. `queryTaskLists` will then return task lists that contain tasks that satisfy the completion filter type set.

  Parameters:
    `filterType` - the task list filter type; cannot be `null`

### setQueryOrders

    public void setQueryOrders(TaskListQueryOrder[] queryOrders)

  Sets the `TaskListQueryOrder` for the rows to return. The rows will be returned as the order of the `TaskListQueryOrder` array.

  Parameters:
    `queryOrders` - an array of `TaskListQueryOrder` ;cannot be `null` or of 0 length
  Throws:
    `java.lang.IllegalArgumentException` - if queryOrders is of length 0.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.